summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSeemant Kulleen <seemant@gentoo.org>2002-09-03 10:48:03 +0000
committerSeemant Kulleen <seemant@gentoo.org>2002-09-03 10:48:03 +0000
commit50687d3f7e9f69b22e9ce2482724b8bb0dbf1a7a (patch)
treedb5fa00a589d89a357f7954a6fcd2dd26efd28d9 /eclass/commonbox.eclass
parent Resolves bug #7399. Version bump. Repoman fix. Gcc3.2 patch. (diff)
downloadgentoo-2-50687d3f7e9f69b22e9ce2482724b8bb0dbf1a7a.tar.gz
gentoo-2-50687d3f7e9f69b22e9ce2482724b8bb0dbf1a7a.tar.bz2
gentoo-2-50687d3f7e9f69b22e9ce2482724b8bb0dbf1a7a.zip
new aspell unmasked as well as apps which can make use of it
Diffstat (limited to 'eclass/commonbox.eclass')
-rw-r--r--eclass/commonbox.eclass21
1 files changed, 17 insertions, 4 deletions
diff --git a/eclass/commonbox.eclass b/eclass/commonbox.eclass
index d08f302e15b0..a625fdf2fa90 100644
--- a/eclass/commonbox.eclass
+++ b/eclass/commonbox.eclass
@@ -1,7 +1,7 @@
# Copyright 2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2
# Author: Seemant Kulleen <seemant@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/commonbox.eclass,v 1.6 2002/07/29 17:34:12 seemant Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/commonbox.eclass,v 1.7 2002/09/03 10:48:03 seemant Exp $
# The commonbox eclass is designed to allow easier installation of the box
# window managers such as blackbox and fluxbox and commonbox
@@ -12,7 +12,7 @@
ECLASS=commonbox
INHERITED="$INHERITED $ECLASS"
-EXPORT_FUNCTIONS commonify src_compile src_install pkg_postinst
+EXPORT_FUNCTIONS src_compile src_install pkg_postinst
DEPEND="x11-misc/commonbox-utils
x11-themes/commonbox-styles"
@@ -23,21 +23,28 @@ PROVIDE="virtual/blackbox"
myconf=""
mydoc=""
MYBIN=""
+commonise=1
-commonbox_commonify() {
+commonify() {
cd ${S}
cp Makefile Makefile.orig
sed -e "s:\(SUBDIRS = \).*:\1doc nls src:" \
Makefile.orig > Makefile
+}
+commondoc() {
cd ${S}/doc
cp Makefile Makefile.orig
sed -e "s:bsetroot.1::" \
-e "s:bsetbg.1::" \
Makefile.orig > Makefile
+
+ cd ${S}
+}
+sharedir() {
cd ${S}/src
cp Makefile Makefile.orig
# sed -e 's:$(pkgdatadir)/menu:\\"/usr/share/commonbox/menu\\":' \
@@ -68,7 +75,13 @@ commonbox_src_compile() {
--datadir=/usr/share/commonbox \
${myconf} || die
- commonify || die
+ if [ ! -z $commonise ]
+ then
+ commonify || die
+ fi
+ commondoc || die
+ sharedir || die
+
emake \
pkgdatadir="/usr/share/commonbox" || die
}